import '@libotony/sharp-cli/script'
import { ContractMeta } from '@libotony/sharp'

const account = '0x7567d83b7b8d80addcb281a71d54fc7b3364ffed'
const contractAddress = '0x921b47242b347c5e214a26316e5c284fba8ebaff'

const mvgTokenContract = require('../output/MVG.json')
const mvgToken = new ContractMeta(mvgTokenContract.abi, mvgTokenContract.bytecode)

const connex = global.connex
const balanceOf = connex.thor.account(contractAddress).method(mvgToken.ABI('balanceOf'))

const main = async () => {
    const ret = await balanceOf.call(account)
    console.log(ret.decoded!['0'])
}

export default main
